Index: EcnlProtoTool/trunk/asp3_dcre/include/kernel.h
===================================================================
--- EcnlProtoTool/trunk/asp3_dcre/include/kernel.h	(revision 331)
+++ EcnlProtoTool/trunk/asp3_dcre/include/kernel.h	(revision 429)
@@ -6,5 +6,5 @@
  *  Copyright (C) 2000-2003 by Embedded and Real-Time Systems Laboratory
  *                              Toyohashi Univ. of Technology, JAPAN
- *  Copyright (C) 2004-2015 by Embedded and Real-Time Systems Laboratory
+ *  Copyright (C) 2004-2019 by Embedded and Real-Time Systems Laboratory
  *              Graduate School of Information Science, Nagoya Univ., JAPAN
  * 
@@ -80,4 +80,16 @@
 #endif /* TOPPERS_TARGET_SUPPORT_ENA_INT */
 
+#ifdef TOPPERS_TARGET_SUPPORT_CLR_INT
+#define TOPPERS_SUPPORT_CLR_INT			/* clr_intがサポートされている */
+#endif /* TOPPERS_TARGET_SUPPORT_CLR_INT */
+
+#ifdef TOPPERS_TARGET_SUPPORT_RAS_INT
+#define TOPPERS_SUPPORT_RAS_INT			/* ras_intがサポートされている */
+#endif /* TOPPERS_TARGET_SUPPORT_RAS_INT */
+
+#ifdef TOPPERS_TARGET_SUPPORT_PRB_INT
+#define TOPPERS_SUPPORT_PRB_INT			/* prb_intがサポートされている */
+#endif /* TOPPERS_TARGET_SUPPORT_PRB_INT */
+
 #define TOPPERS_SUPPORT_DYNAMIC_CRE		/* 動的生成機能拡張 */
 
@@ -195,5 +207,5 @@
 	PRI			itskpri;	/* タスクの起動時優先度 */
 	size_t		stksz;		/* タスクのスタック領域のサイズ */
-	STK_T 		*stk;		/* タスクのスタック領域の先頭番地 */
+	STK_T		*stk;		/* タスクのスタック領域の先頭番地 */
 } T_CTSK;
 
@@ -235,5 +247,5 @@
 	ATR		dtqatr;		/* データキュー属性 */
 	uint_t	dtqcnt;		/* データキュー管理領域に格納できるデータ数 */
-	void 	*dtqmb;		/* データキュー管理領域の先頭番地 */
+	void	*dtqmb;		/* データキュー管理領域の先頭番地 */
 } T_CDTQ;
 
@@ -249,5 +261,5 @@
 	PRI		maxdpri;	/* 優先度データキューに送信できるデータ優先度の最
 						   大値 */
-	void 	*pdqmb;		/* 優先度データキュー管理領域の先頭番地 */
+	void	*pdqmb;		/* 優先度データキュー管理領域の先頭番地 */
 } T_CPDQ;
 
@@ -275,6 +287,6 @@
 	uint_t	blkcnt;		/* 獲得できる固定長メモリブロックの数 */
 	uint_t	blksz;		/* 固定長メモリブロックのサイズ */
-	MPF_T 	*mpf;		/* 固定長メモリプール領域の先頭番地 */
-	void 	*mpfmb;		/* 固定長メモリプール管理領域の先頭番地 */
+	MPF_T	*mpf;		/* 固定長メモリプール領域の先頭番地 */
+	void	*mpfmb;		/* 固定長メモリプール管理領域の先頭番地 */
 } T_CMPF;
 
@@ -471,4 +483,7 @@
 extern ER		dis_int(INTNO intno) throw();
 extern ER		ena_int(INTNO intno) throw();
+extern ER		clr_int(INTNO intno) throw();
+extern ER		ras_int(INTNO intno) throw();
+extern ER_BOOL	prb_int(INTNO intno) throw();
 extern ER		chg_ipm(PRI intpri) throw();
 extern ER		get_ipm(PRI *p_intpri) throw();
@@ -508,4 +523,7 @@
 #define idis_int(intno)						dis_int(intno)
 #define iena_int(intno)						ena_int(intno)
+#define iclr_int(intno)						clr_int(intno)
+#define iras_int(intno)						ras_int(intno)
+#define iprb_int(intno)						prb_int(intno)
 #define ixsns_dpn(p_excinf)					xsns_dpn(p_excinf)
 
@@ -613,6 +631,6 @@
 #define TKERNEL_MAKER	UINT_C(0x0118)	/* カーネルのメーカーコード */
 #define TKERNEL_PRID	UINT_C(0x0007)	/* カーネルの識別番号 */
-#define TKERNEL_SPVER	UINT_C(0xf631)	/* カーネル仕様のバージョン番号 */
-#define TKERNEL_PRVER	UINT_C(0x3010)	/* カーネルのバージョン番号 */
+#define TKERNEL_SPVER	UINT_C(0xf634)	/* カーネル仕様のバージョン番号 */
+#define TKERNEL_PRVER	UINT_C(0x3050)	/* カーネルのバージョン番号 */
 
 /*
@@ -632,5 +650,5 @@
  *  システム時刻の調整できる範囲（単位：μ秒）
  */
-#define TMIN_ADJTIM		-1000000		/* システム時刻の最小調整時間 */
+#define TMIN_ADJTIM		(-1000000)		/* システム時刻の最小調整時間 */
 #define TMAX_ADJTIM		1000000			/* システム時刻の最大調整時間 */
 
@@ -654,14 +672,17 @@
 #define ROUND_MPF_T(blksz)	TOPPERS_ROUND_SZ(blksz, sizeof(MPF_T))
 
+#define COUNT_MB_T(sz)		TOPPERS_COUNT_SZ(sz, sizeof(MB_T))
+#define ROUND_MB_T(sz)		TOPPERS_ROUND_SZ(sz, sizeof(MB_T))
+
 #define TSZ_DTQMB(dtqcnt)	(sizeof(intptr_t) * (dtqcnt))
-#define TCNT_DTQMB(dtqcnt)	TOPPERS_COUNT_SZ(TSZ_DTQMB(dtqcnt), sizeof(MB_T))
+#define TCNT_DTQMB(dtqcnt)	COUNT_MB_T(TSZ_DTQMB(dtqcnt))
 
 #ifndef TSZ_PDQMB
 #define TSZ_PDQMB(pdqcnt)	(sizeof(intptr_t) * 3 * (pdqcnt))
 #endif /* TSZ_PDQMB */
-#define TCNT_PDQMB(pdqcnt)	TOPPERS_COUNT_SZ(TSZ_PDQMB(pdqcnt), sizeof(MB_T))
+#define TCNT_PDQMB(pdqcnt)	COUNT_MB_T(TSZ_PDQMB(pdqcnt))
 
 #define TSZ_MPFMB(blkcnt)	(sizeof(uint_t) * (blkcnt))
-#define TCNT_MPFMB(blkcnt)	TOPPERS_COUNT_SZ(TSZ_MPFMB(blkcnt), sizeof(MB_T))
+#define TCNT_MPFMB(blkcnt)	COUNT_MB_T(TSZ_MPFMB(blkcnt))
 
 /*
Index: EcnlProtoTool/trunk/asp3_dcre/include/sil.h
===================================================================
--- EcnlProtoTool/trunk/asp3_dcre/include/sil.h	(revision 331)
+++ EcnlProtoTool/trunk/asp3_dcre/include/sil.h	(revision 429)
@@ -5,5 +5,5 @@
  *  Copyright (C) 2000-2003 by Embedded and Real-Time Systems Laboratory
  *                              Toyohashi Univ. of Technology, JAPAN
- *  Copyright (C) 2004-2011 by Embedded and Real-Time Systems Laboratory
+ *  Copyright (C) 2004-2018 by Embedded and Real-Time Systems Laboratory
  *              Graduate School of Information Science, Nagoya Univ., JAPAN
  * 
@@ -276,4 +276,72 @@
 #endif /* TOPPERS_OMIT_SIL_ACCESS */
 
+#ifndef TOPPERS_OMIT_SIL_SYNC_WRITE
+
+/*
+ *  8ビット単位の同期書込み
+ */
+#ifdef UINT8_MAX
+
+Inline void
+sil_swrb_mem(uint8_t *mem, uint8_t data)
+{
+	sil_wrb_mem(mem, data);
+	TOPPERS_SIL_WRITE_SYNC();
+}
+
+#endif /* UINT8_MAX */
+
+/*
+ *  16ビット単位の同期書込み
+ */
+
+Inline void
+sil_swrh_mem(uint16_t *mem, uint16_t data)
+{
+	sil_wrh_mem(mem, data);
+	TOPPERS_SIL_WRITE_SYNC();
+}
+
+Inline void
+sil_swrh_lem(uint16_t *mem, uint16_t data)
+{
+	sil_wrh_lem(mem, data);
+	TOPPERS_SIL_WRITE_SYNC();
+}
+
+Inline void
+sil_swrh_bem(uint16_t *mem, uint16_t data)
+{
+	sil_wrh_bem(mem, data);
+	TOPPERS_SIL_WRITE_SYNC();
+}
+
+/*
+ *  32ビット単位の同期書込み
+ */
+
+Inline void
+sil_swrw_mem(uint32_t *mem, uint32_t data)
+{
+	sil_wrw_mem(mem, data);
+	TOPPERS_SIL_WRITE_SYNC();
+}
+
+Inline void
+sil_swrw_lem(uint32_t *mem, uint32_t data)
+{
+	sil_wrw_lem(mem, data);
+	TOPPERS_SIL_WRITE_SYNC();
+}
+
+Inline void
+sil_swrw_bem(uint32_t *mem, uint32_t data)
+{
+	sil_wrw_bem(mem, data);
+	TOPPERS_SIL_WRITE_SYNC();
+}
+
+#endif /* TOPPERS_OMIT_SIL_SYNC_WRITE */
+
 #endif /* TOPPERS_MACRO_ONLY */
 
Index: EcnlProtoTool/trunk/asp3_dcre/include/t_stddef.h
===================================================================
--- EcnlProtoTool/trunk/asp3_dcre/include/t_stddef.h	(revision 331)
+++ EcnlProtoTool/trunk/asp3_dcre/include/t_stddef.h	(revision 429)
@@ -5,5 +5,5 @@
  *  Copyright (C) 2000-2003 by Embedded and Real-Time Systems Laboratory
  *                              Toyohashi Univ. of Technology, JAPAN
- *  Copyright (C) 2004-2015 by Embedded and Real-Time Systems Laboratory
+ *  Copyright (C) 2004-2019 by Embedded and Real-Time Systems Laboratory
  *              Graduate School of Information Science, Nagoya Univ., JAPAN
  * 
@@ -113,5 +113,12 @@
 #endif /* UINT64_MAX */
 typedef	uint32_t		PRCTIM;		/* プロセッサ時間［NGKI0573］*/
+#ifndef USE_64BIT_HRTCNT
 typedef	uint32_t		HRTCNT;		/* 高分解能タイマのカウント値 */
+#else /* USE_64BIT_HRTCNT */
+#ifndef UINT64_MAX
+#error 64bit data types are required when USE_64BIT_HRTCNT.
+#endif
+typedef	uint64_t		HRTCNT;		/* 高分解能タイマのカウント値 */
+#endif /* USE_64BIT_HRTCNT */
 
 typedef	TOPPERS_fp		FP;			/* プログラムの起動番地 */
@@ -214,5 +221,6 @@
  */
 #ifndef offsetof
-#define	offsetof(structure, field)	((uintptr_t) &(((structure *) 0)->field))
+#define	offsetof(structure, field) \
+		((uintptr_t)(((char *) &(((structure *) 0)->field)) - ((char *) 0)))
 #endif /* offsetof */
 
Index: EcnlProtoTool/trunk/asp3_dcre/include/t_stdlib.h
===================================================================
--- EcnlProtoTool/trunk/asp3_dcre/include/t_stdlib.h	(revision 331)
+++ EcnlProtoTool/trunk/asp3_dcre/include/t_stdlib.h	(revision 429)
@@ -61,13 +61,4 @@
 extern const char	*itron_strerror(ER ercd) throw();
 
-/*
- *  エラーメッセージのログ出力
- *
- *  サービスコールがエラーを返した場合に，そのファイル名，行番号，メイ
- *  ンエラーコード等を表示するための関数．
- */
-extern void		t_perror(uint_t prio, const char *file, int_t line,
-									const char *expr, ER ercd) throw();
-
 #ifdef __cplusplus
 }
Index: EcnlProtoTool/trunk/asp3_dcre/include/t_syslog.h
===================================================================
--- EcnlProtoTool/trunk/asp3_dcre/include/t_syslog.h	(revision 331)
+++ EcnlProtoTool/trunk/asp3_dcre/include/t_syslog.h	(revision 429)
@@ -1,10 +1,9 @@
 /*
- *  TOPPERS/ASP Kernel
- *      Toyohashi Open Platform for Embedded Real-Time Systems/
- *      Advanced Standard Profile Kernel
+ *  TOPPERS Software
+ *      Toyohashi Open Platform for Embedded Real-Time Systems
  * 
  *  Copyright (C) 2000-2003 by Embedded and Real-Time Systems Laboratory
  *                              Toyohashi Univ. of Technology, JAPAN
- *  Copyright (C) 2004-2014 by Embedded and Real-Time Systems Laboratory
+ *  Copyright (C) 2004-2019 by Embedded and Real-Time Systems Laboratory
  *              Graduate School of Information Science, Nagoya Univ., JAPAN
  * 
@@ -69,4 +68,8 @@
 #include <t_stddef.h>
 
+#ifndef TOPPERS_MACRO_ONLY
+#include <stdarg.h>
+#endif /* TOPPERS_MACRO_ONLY */
+
 /*
  *  ログ情報の種別の定義
@@ -77,6 +80,6 @@
 #define LOG_TYPE_INH		UINT_C(0x11)	/* 割込みハンドラ */
 #define LOG_TYPE_ISR		UINT_C(0x12)	/* 割込みサービスルーチン */
-#define LOG_TYPE_CYC		UINT_C(0x13)	/* 周期ハンドラ */
-#define LOG_TYPE_ALM		UINT_C(0x14)	/* アラームハンドラ */
+#define LOG_TYPE_CYC		UINT_C(0x13)	/* 周期通知 */
+#define LOG_TYPE_ALM		UINT_C(0x14)	/* アラーム通知 */
 #define LOG_TYPE_OVR		UINT_C(0x15)	/* オーバランハンドラ */
 #define LOG_TYPE_EXC		UINT_C(0x16)	/* CPU例外ハンドラ */
@@ -124,61 +127,51 @@
 
 /*
- *  ログ情報の重要度のビットマップを作るためのマクロ
- */
-#define LOG_MASK(prio)		(1U << (prio))
-#define LOG_UPTO(prio)		((1U << ((prio) + 1)) - 1)
-
-/*
- *  パケット形式の定義
- */
-typedef struct t_syslog_rlog {
-	uint_t	count;		/* ログバッファ中のログの数 */
-	uint_t	lost;		/* 失われたログの数 */
-	uint_t	logmask;	/* ログバッファに記録すべき重要度 */
-	uint_t	lowmask;	/* 低レベル出力すべき重要度 */
-} T_SYSLOG_RLOG;
+ *  ログ情報の出力
+ *
+ *  ログ情報の出力は，システムログ機能のアダプタ経由で行う．
+ */
+
+extern ER	syslog_wri_log(uint_t prio, const SYSLOG *p_syslog) throw();
+
+#define syslog_write(prio, p_syslog) \
+						((void) syslog_wri_log(prio, p_syslog))
 
 #ifndef TOPPERS_OMIT_SYSLOG
-
-/*
- *  ログ情報を出力するためのライブラリ関数
- *
- *  TECSで記述されたシステムログ機能を直接呼び出す．
- */
-
-extern ER	tSysLog_eSysLog_write(uint_t prio, const SYSLOG *p_syslog) throw();
-
-Inline void
-_syslog_0(uint_t prio, uint_t type)
-{
-	SYSLOG	logbuf;
-
-	logbuf.logtype = type;
-	(void) tSysLog_eSysLog_write(prio, &logbuf);
-}
-
-Inline void
-_syslog_1(uint_t prio, uint_t type, LOGPAR arg1)
-{
-	SYSLOG	logbuf;
-
-	logbuf.logtype = type;
-	logbuf.logpar[0] = arg1;
-	(void) tSysLog_eSysLog_write(prio, &logbuf);
-}
-
-Inline void
-_syslog_2(uint_t prio, uint_t type, LOGPAR arg1, LOGPAR arg2)
-{
-	SYSLOG	logbuf;
-
-	logbuf.logtype = type;
-	logbuf.logpar[0] = arg1;
-	logbuf.logpar[1] = arg2;
-	(void) tSysLog_eSysLog_write(prio, &logbuf);
-}
-
-Inline void
-_syslog_3(uint_t prio, uint_t type, LOGPAR arg1, LOGPAR arg2, LOGPAR arg3)
+/*
+ *  システムログ出力のための下位のライブラリ関数
+ */
+
+Inline void
+t_syslog_0(uint_t prio, uint_t type)
+{
+	SYSLOG	logbuf;
+
+	logbuf.logtype = type;
+	syslog_write(prio, &logbuf);
+}
+
+Inline void
+t_syslog_1(uint_t prio, uint_t type, LOGPAR arg1)
+{
+	SYSLOG	logbuf;
+
+	logbuf.logtype = type;
+	logbuf.logpar[0] = arg1;
+	syslog_write(prio, &logbuf);
+}
+
+Inline void
+t_syslog_2(uint_t prio, uint_t type, LOGPAR arg1, LOGPAR arg2)
+{
+	SYSLOG	logbuf;
+
+	logbuf.logtype = type;
+	logbuf.logpar[0] = arg1;
+	logbuf.logpar[1] = arg2;
+	syslog_write(prio, &logbuf);
+}
+
+Inline void
+t_syslog_3(uint_t prio, uint_t type, LOGPAR arg1, LOGPAR arg2, LOGPAR arg3)
 {
 	SYSLOG	logbuf;
@@ -188,9 +181,9 @@
 	logbuf.logpar[1] = arg2;
 	logbuf.logpar[2] = arg3;
-	(void) tSysLog_eSysLog_write(prio, &logbuf);
-}
-
-Inline void
-_syslog_4(uint_t prio, uint_t type, LOGPAR arg1, LOGPAR arg2,
+	syslog_write(prio, &logbuf);
+}
+
+Inline void
+t_syslog_4(uint_t prio, uint_t type, LOGPAR arg1, LOGPAR arg2,
 											LOGPAR arg3, LOGPAR arg4)
 {
@@ -202,9 +195,9 @@
 	logbuf.logpar[2] = arg3;
 	logbuf.logpar[3] = arg4;
-	(void) tSysLog_eSysLog_write(prio, &logbuf);
-}
-
-Inline void
-_syslog_5(uint_t prio, uint_t type, LOGPAR arg1, LOGPAR arg2,
+	syslog_write(prio, &logbuf);
+}
+
+Inline void
+t_syslog_5(uint_t prio, uint_t type, LOGPAR arg1, LOGPAR arg2,
 								LOGPAR arg3, LOGPAR arg4, LOGPAR arg5)
 {
@@ -217,9 +210,9 @@
 	logbuf.logpar[3] = arg4;
 	logbuf.logpar[4] = arg5;
-	(void) tSysLog_eSysLog_write(prio, &logbuf);
-}
-
-Inline void
-_syslog_6(uint_t prio, uint_t type, LOGPAR arg1, LOGPAR arg2,
+	syslog_write(prio, &logbuf);
+}
+
+Inline void
+t_syslog_6(uint_t prio, uint_t type, LOGPAR arg1, LOGPAR arg2,
 					LOGPAR arg3, LOGPAR arg4, LOGPAR arg5, LOGPAR arg6)
 {
@@ -233,5 +226,5 @@
 	logbuf.logpar[4] = arg5;
 	logbuf.logpar[5] = arg6;
-	(void) tSysLog_eSysLog_write(prio, &logbuf);
+	syslog_write(prio, &logbuf);
 }
 
@@ -239,8 +232,34 @@
  *  ログ情報（コメント）を出力するためのライブラリ関数（vasyslog.c）
  */
-extern void	syslog(uint_t prio, const char *format, ...) throw();
+extern void	tt_syslog(SYSLOG *p_logbuf, const char *format, va_list ap);
+
+Inline void
+syslog(uint_t prio, const char *format, ...)
+{
+	va_list	ap;
+	SYSLOG	logbuf;
+
+	va_start(ap, format);
+	tt_syslog(&logbuf, format, ap);
+	va_end(ap);
+	syslog_write(prio, &logbuf);
+}
+
+/*
+ *  エラーメッセージを出力するためのライブラリ関数（t_perror.c）
+ */
+extern void	tt_perror(SYSLOG *p_logbuf, const char *file, int_t line,
+		 									const char *expr, ER ercd);
+
+Inline void
+t_perror(uint_t prio, const char *file, int_t line, const char *expr, ER ercd)
+{
+	SYSLOG	logbuf;
+
+	tt_perror(&logbuf, file, line, expr, ercd);
+	syslog_write(prio, &logbuf);
+}
 
 #else /* TOPPERS_OMIT_SYSLOG */
-
 /*
  *  システムログ出力を抑止する場合
@@ -248,25 +267,25 @@
 
 Inline void
-_syslog_0(uint_t prio, uint_t type)
-{
-}
-
-Inline void
-_syslog_1(uint_t prio, uint_t type, LOGPAR arg1)
-{
-}
-
-Inline void
-_syslog_2(uint_t prio, uint_t type, LOGPAR arg1, LOGPAR arg2)
-{
-}
-
-Inline void
-_syslog_3(uint_t prio, uint_t type, LOGPAR arg1, LOGPAR arg2, LOGPAR arg3)
-{
-}
-
-Inline void
-_syslog_4(uint_t prio, uint_t type, LOGPAR arg1, LOGPAR arg2,
+t_syslog_0(uint_t prio, uint_t type)
+{
+}
+
+Inline void
+t_syslog_1(uint_t prio, uint_t type, LOGPAR arg1)
+{
+}
+
+Inline void
+t_syslog_2(uint_t prio, uint_t type, LOGPAR arg1, LOGPAR arg2)
+{
+}
+
+Inline void
+t_syslog_3(uint_t prio, uint_t type, LOGPAR arg1, LOGPAR arg2, LOGPAR arg3)
+{
+}
+
+Inline void
+t_syslog_4(uint_t prio, uint_t type, LOGPAR arg1, LOGPAR arg2,
 											LOGPAR arg3, LOGPAR arg4)
 {
@@ -274,5 +293,5 @@
 
 Inline void
-_syslog_5(uint_t prio, uint_t type, LOGPAR arg1, LOGPAR arg2,
+t_syslog_5(uint_t prio, uint_t type, LOGPAR arg1, LOGPAR arg2,
 								LOGPAR arg3, LOGPAR arg4, LOGPAR arg5)
 {
@@ -280,5 +299,5 @@
 
 Inline void
-_syslog_6(uint_t prio, uint_t type, LOGPAR arg1, LOGPAR arg2,
+t_syslog_6(uint_t prio, uint_t type, LOGPAR arg1, LOGPAR arg2,
 					LOGPAR arg3, LOGPAR arg4, LOGPAR arg5, LOGPAR arg6)
 {
@@ -289,9 +308,14 @@
 {
 }
+												
+Inline void
+t_perror(uint_t prio, const char *file, int_t line, const char *expr, ER ercd)
+{
+}
 
 #endif /* TOPPERS_OMIT_SYSLOG */
 
 /*
- *  ログ情報（コメント）を出力するためのマクロ
+ *  システムログ出力のためのライブラリ関数
  *
  *  formatおよび後続の引数から作成したメッセージを，重大度prioでログ情
@@ -301,25 +325,25 @@
 
 #define syslog_0(prio, format) \
-				_syslog_1(prio, LOG_TYPE_COMMENT, (LOGPAR)(format))
+				t_syslog_1(prio, LOG_TYPE_COMMENT, (LOGPAR)(format))
 
 #define syslog_1(prio, format, arg1) \
-				_syslog_2(prio, LOG_TYPE_COMMENT, (LOGPAR)(format), \
+				t_syslog_2(prio, LOG_TYPE_COMMENT, (LOGPAR)(format), \
 														(LOGPAR)(arg1))
 
 #define syslog_2(prio, format, arg1, arg2) \
-				_syslog_3(prio, LOG_TYPE_COMMENT, (LOGPAR)(format), \
+				t_syslog_3(prio, LOG_TYPE_COMMENT, (LOGPAR)(format), \
 										(LOGPAR)(arg1), (LOGPAR)(arg2))
 
 #define syslog_3(prio, format, arg1, arg2, arg3) \
-				_syslog_4(prio, LOG_TYPE_COMMENT, (LOGPAR)(format), \
+				t_syslog_4(prio, LOG_TYPE_COMMENT, (LOGPAR)(format), \
 						(LOGPAR)(arg1), (LOGPAR)(arg2), (LOGPAR)(arg3))
 
 #define syslog_4(prio, format, arg1, arg2, arg3, arg4) \
-				_syslog_5(prio, LOG_TYPE_COMMENT, (LOGPAR)(format), \
+				t_syslog_5(prio, LOG_TYPE_COMMENT, (LOGPAR)(format), \
 						(LOGPAR)(arg1), (LOGPAR)(arg2), (LOGPAR)(arg3), \
 														(LOGPAR)(arg4))
 
 #define syslog_5(prio, format, arg1, arg2, arg3, arg4, arg5) \
-				_syslog_6(prio, LOG_TYPE_COMMENT, (LOGPAR)(format), \
+				t_syslog_6(prio, LOG_TYPE_COMMENT, (LOGPAR)(format), \
 						(LOGPAR)(arg1), (LOGPAR)(arg2), (LOGPAR)(arg3), \
 										(LOGPAR)(arg4), (LOGPAR)(arg5))
@@ -330,5 +354,5 @@
 #ifndef TOPPERS_assert_fail
 #define TOPPERS_assert_fail(exp, file, line) \
-				_syslog_3(LOG_EMERG, LOG_TYPE_ASSERT, (LOGPAR)(file), \
+				t_syslog_3(LOG_EMERG, LOG_TYPE_ASSERT, (LOGPAR)(file), \
 										(LOGPAR)(line), (LOGPAR)(exp))
 #endif /* TOPPERS_assert_fail */
